#
# spec file for package MyODBC-unixODBC (Version 3.51.12)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools mysql-client mysql-devel mysql-shared ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unixODBC unixODBC-devel unzip util-linux vim zlib zlib-devel

Name:           MyODBC-unixODBC
BuildRequires:  mysql-devel unixODBC-devel
%define       manager unixODBC
License:        LGPL
Group:          Productivity/Databases/Tools
Autoreqprov:    on
Version:        3.51.12
Release:        13.2
Summary:        ODBC Interface for Communication with MySQL Compiled with UnixODBC
URL:            http://www.mysql.com/products/myodbc/index.html
Obsoletes:      MyODBC-libiodbc
Provides:       MyODBC-libiodbc
Source0:        mysql-connector-odbc-%{version}.tar.bz2
Source1:        odbcinst.ini.%{manager}.sample
Source2:        odbc.ini.%{manager}.sample
Source3:        README
Patch:          MyODBC-%{version}.diff
Patch1:         MyODBC-%{version}-stringh.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
MyODBC is an interface for communication with MySQL. It is one of the
most popular ODBC drivers in the open source market, used by many users
to access the MySQL functionality. It is compiled with unixODBC.



Authors:
--------
    Michael 'Monty' Widenius
    <monty@mysql.com>

%debug_package
%prep
%setup -q -n mysql-connector-odbc-%{version}
%patch
%patch1

%build
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
./configure --prefix=%{_prefix} \
            --mandir=%{_mandir} \
            --libdir=%{_libdir}/%{manager} \
            --infodir=%{_infodir} \
	    --with-mysql-libs=%{_libdir}/mysql \
	    --with-mysql-includes=%{_includedir}/mysql \
	    --with-unixODBC=%{_prefix} \
	    --with-odbc-ini=%{_sysconfdir}/%{manager}/odbc.ini \
	    --disable-gui # XXX enable this?
make %{?jobs:-j%jobs}

%install
rm -rf $RPM_BUILD_ROOT
make "DESTDIR=$RPM_BUILD_ROOT" install
# documentation
install -d -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/
install -m 644 {ChangeLog,README} $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/
# samples
mkdir $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/ini/
sed -e 's/@driverpath@/\/usr\/%{_lib}\/%{manager}/g' %{S:1} >$RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/ini/odbcinst.ini.sample
sed -e 's/@driverpath@/\/usr\/%{_lib}\/%{manager}/g' %{S:2} >$RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/ini/odbc.ini.sample
install -m 644 %{S:3} $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/ini/
# remove .la files
rm $RPM_BUILD_ROOT/%{_libdir}/%{manager}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/myodbc3*
%doc %{_defaultdocdir}/%{name}/
%{_libdir}/%{manager}/*

%changelog -n MyODBC-unixODBC
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 05 2006 - mmarek@suse.cz
- update to 3.51.12
- use make -j
* Tue Aug 02 2005 - ltinkl@suse.cz
- update to 3.51.11 (#99150)
* Thu Apr 28 2005 - schwab@suse.de
- Properly use libltdl.
* Tue Feb 01 2005 - ro@suse.de
- update to 3.51.10
* Fri Sep 17 2004 - ro@suse.de
- remove hack for libmysqlclient_r (mysql has been fixed)
- remove NoSource tag (MyODBC-libiodbc is no longer present)
* Fri Aug 13 2004 - ro@suse.de
- update to 3.51.07
* Thu Feb 26 2004 - ltinkl@suse.cz
- obsoletes MyODBC-libiodbc
* Tue Sep 30 2003 - ltinkl@suse.cz
- updated to latest stable version (3.51.06)
* Mon Jun 10 2002 - prehak@suse.cz
- new package in distribution - version 2.50.39
- fixed variable name ac_hdr to ac_header in acinclude.m4
